# Set Theme

By default, the Luciq SDK uses a light theme. This, however, can be changed to use a dark theme. To do this, you can use this API while passing the relevant enum to it.

**Method**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Luciq.setColorTheme(.dark)
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[Luciq setColorTheme:LCQColorThemeDark];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.setColorTheme(LuciqColorTheme.LuciqColorThemeLight);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setColorTheme(LuciqColorTheme.LuciqColorThemeLight)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.setColorTheme(Luciq.colorTheme.dark);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.setColorTheme(ColorTheme.dark);
```

{% endtab %}
{% endtabs %}

**Theme Parameters:**

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//Light
.light
//Dark
.dark
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//Light
LCQColorThemeLight
//Dark
LCQColorThemeDark
```

{% endtab %}

{% tab title="And - Java" %}

```java
//Light
LCQColorThemeLight
//Dark
LCQColorThemeDark
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
//Light
LCQColorThemeLight
//Dark
LCQColorThemeDark
```

{% endtab %}

{% tab title="RN" %}

```javascript
//Light
Luciq.colorTheme.light
//Dark
Luciq.colorTheme.dark
```

{% endtab %}

{% tab title="Flutter" %}

```dart
//Light
ColorTheme.light
//Dark
ColorTheme.dark
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/user-interface-design/set-theme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
